Bug 24996 - Unwanted CSS change unhides OPAC results sorting button
Summary: Unwanted CSS change unhides OPAC results sorting button
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23915
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-26 22:15 UTC by Owen Leonard
Modified: 2020-04-28 20:34 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24996: Unwanted CSS change unhides OPAC results sorting button (1.19 KB, patch)
2020-03-27 12:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24996: Unwanted CSS change unhides OPAC results sorting button (1.24 KB, patch)
2020-03-29 04:14 UTC, David Nind
Details | Diff | Splinter Review
Bug 24996: Unwanted CSS change unhides OPAC results sorting button (1.31 KB, patch)
2020-03-31 10:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-03-26 22:15:35 UTC
With JavaScript enabled the "Go" button associated with the OPAC search results re-sort form should be hidden. Looks like I accidentally removed a line of CSS with Bug 23915 which needs to get put back.
Comment 1 Owen Leonard 2020-03-27 12:41:10 UTC
Created attachment 101995 [details] [review]
Bug 24996: Unwanted CSS change unhides OPAC results sorting button

This patch adds back a CSS selector which was incorrectly removed by Bug
23915. The "Go" button associated with the OPAC search results resort
operation should be hidden if JavaScript is enabled.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

 - Perform a search in the OPAC
 - On the search results page, there should be no "Go" button next to
   the re-sort/results per page selection fields.
Comment 2 David Nind 2020-03-29 04:14:55 UTC
Created attachment 102046 [details] [review]
Bug 24996: Unwanted CSS change unhides OPAC results sorting button

This patch adds back a CSS selector which was incorrectly removed by Bug
23915. The "Go" button associated with the OPAC search results resort
operation should be hidden if JavaScript is enabled.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

 - Perform a search in the OPAC
 - On the search results page, there should be no "Go" button next to
   the re-sort/results per page selection fields.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2020-03-31 10:09:34 UTC
Created attachment 102117 [details] [review]
Bug 24996: Unwanted CSS change unhides OPAC results sorting button

This patch adds back a CSS selector which was incorrectly removed by Bug
23915. The "Go" button associated with the OPAC search results resort
operation should be hidden if JavaScript is enabled.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

 - Perform a search in the OPAC
 - On the search results page, there should be no "Go" button next to
   the re-sort/results per page selection fields.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-04-03 13:24:21 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-28 20:34:54 UTC
missing dependencies - not backported to 19.11.x